#!/bin/bash

if [ -z $IBRDTN_HOME ]; then
    echo "Error: \$IBRDTN_HOME is not defined."
    exit
fi

if [ -z $IBRDTN_ADAPTER_HOME ]; then
    echo "Error: \$IBRDTN_ADAPTER_HOME is not defined."
    exit
fi

# ------------------------------------------------------------
# Define where to find IBRDTN code
dtnd=${IBRDTN_HOME}/ibrdtn/daemon/src/dtnd
dtnsend=${IBRDTN_HOME}/ibrdtn/tools/src/dtnsend
dtnrecv=${IBRDTN_HOME}/ibrdtn/tools/src/dtnrecv

# ------------------------------------------------------------
# Variables used by LEPTON
oppnet_adapter_classname=casa.lepton.hub.IBRDTN_Adapter
oppnet_adapter_classpath="${IBRDTN_ADAPTER_HOME}/libs/ibrdtn-adapter-1.0.jar"
node_process_tag=dtnd

# ------------------------------------------------------------
# Variables used by IBRDTN nodes

if [ -z $itf ] ; then
    itf=$(ip link  | grep -v -E "loopback|LOOPBACK" | head -1 | cut -d" " -f 2 | cut -d: -f1)
fi

if [ "$lepton_host" == "" ] || [ "$lepton_host" == "localhost" ] ; then
    lepton_host=127.0.0.1
fi

disc_addr=$lepton_host
disc_port=4500
disc_lport=0

# ------------------------------------------------------------
# Functions used by LEPTON: start_node() and stop_node() are inherited
# from ${DODWAN_HOME}/bin/util/ibrdtn_functions.sh
# ------------------------------------------------------------

. ${IBRDTN_ADAPTER_HOME}/bin/util/ibrdtn_functions.sh

exec_on_node() {

    echo "Executing on ${node_id}: ibrdtn.sh $*"
    node_id=$node_id $IBRDTN_ADAPTER_HOME/bin/ibrdtn.sh $*
}

# ------------------------------------------------------------
