#!/bin/bash

if [ -z $IBRDTN_HOME ]; then
    echo "Error: \$IBRDTN_HOME is not defined."
    exit
fi

if [ -z $IBRDTN_ADAPTER_HOME ]; then
    echo "Error: \$IBRDTN_ADAPTER_HOME is not defined."
    exit
fi

. ${IBRDTN_ADAPTER_HOME}/bin/util/ibrdtn_functions.sh

# ------------------------------------------------------------
usage() {
    cat <<EOF

Usage: ibrdtn.sh start
               | stop
               | status
               | send <dest> <fname>
               | recv

EOF
    exit 0
}

# ------------------------------------------------------------

if [ "$1" == "-h" ] ; then
    usage
fi

if [ -z $node_id ] ; then
    node_id=$HOSTNAME
fi


case $1 in
    start)
	start_node
	;;
    stop)
	stop_node
	;;
    status)
	status
	;;
    send)
	if [ $# -lt 2 ] ; then
	    usage
	fi
	shift 
	send $*
	;;
    recv)
	if [ $# -lt 1 ] ; then
	    usage
	fi
	shift
	recv $*
	;;
    *)
	usage
	;;
esac
